Bug 828997 - [abrt] gnome-disk-utility-3.4.1-1.fc17: g_utf8_offset_to_pointer: Process /usr/bin/palimpsest was killed by signal 11 (SIGSEGV)
[abrt] gnome-disk-utility-3.4.1-1.fc17: g_utf8_offset_to_pointer: Process /us...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-disk-utility (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luis Bazan
Fedora Extras Quality Assurance
abrt_hash:b788edfff549d3da368e3dd2346...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-05 14:03 EDT by chrys87
Modified: 2013-07-31 14:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 14:36:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (15.22 KB, text/plain)
2012-06-05 14:03 EDT, chrys87
no flags Details
File: maps (21.92 KB, text/plain)
2012-06-05 14:03 EDT, chrys87
no flags Details
File: dso_list (7.17 KB, text/plain)
2012-06-05 14:03 EDT, chrys87
no flags Details

  None (edit)
Description chrys87 2012-06-05 14:03:41 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        palimpsest
comment:        I try to read the DiskUtility with Orca.
crash_function: g_utf8_offset_to_pointer
executable:     /usr/bin/palimpsest
kernel:         3.3.7-1.fc17.i686.PAE
pid:            2361
pwd:            /home/chrys
time:           Di 05 Jun 2012 20:01:53 CEST
uid:            1000
username:       chrys
xsession_errors: 

backtrace:      Text file, 15589 bytes
dso_list:       Text file, 7346 bytes
maps:           Text file, 22451 bytes

build_ids:
:9aea670864d2a34a222fd110376f7946b702de7c
:073a6e8be3691c9090d7e8063df1b719658a25a2
:9d0d384e15c03e0a8ee6e25ea9cff7c186087755
:0a1a8bf5237a71d763d23520783335c8fe6c31dd
:57d6de5ff5536ed125c804f036da93c46399c6e4
:4bd9cd3a78fa841a2bcf0df8c7e838b80cccd5f3
:c8c155acc515416efd9d0e407ec2667e30f58083
:e0185ee9a89ad3f701e8fa2c658e242b453d4d2b
:92aaf9e3a33962226af01da69620e9be799859d4
:649e9481aacbdad551a70a7e56c643e430b87d28
:fdee2102114906bdbb7e74ee8aacdef49a828901
:3670523b476e491454ac140bc99524fe2e341b02
:38cca83f1479b6c765d41139cb7e4a3dfe659111
:62150f38cf11baa1966ed86cf2c4839bd029b0c8
:c48bdbb2542d5d7ce5b081f57915ca6164dd70b5
:0f22adfaabe11cef7a87e5cc3e66d522ec81800d
:139f37cd4167d55d0b2b21053d3733e8dcdb8392
:fad91ac353e3532099b38d4dffada3e91cf97fa3
:ccd17c03940a8cb54bb2f9c6f6d76626976fccf7
:15beedcb299b506c9c6a09bdfed67a02095644a5
:c231c23d958aa42bb98f000cee5a9a11e090249d
:4723ea68ac0f3366ffaefee6b60b82b1aa2ea5e4
:6827db64bf037f6de97ac9f37d50f32f343930a4
:848a04e2a6ce321422123dd4369d8fff2214d349
:1d6d247cb1c1dc86b34ab960d58c82d7cce35e15
:ad9e27665744b5e0f27506032bcfd11acc11a16c
:bb21322626c08eadcaed3b7d58d261951193b7d7
:4766d96e19faf4e874c15cfb89feba118b91c6e6
:9ed05e8e8a8b5707f28623112c1eea0ab4c2da77
:de77b9c1ea8f88712017f4d99ad3d86726f54023
:0192dd2785a5ee3ae8c4e920cb320c702385d4ef
:4917bcde22f3be7892a0289b37cf7dfc987c8474
:bef638b29fdf84e92e8f33383eb8adb175128188
:d0b2ee750bf29544a82c25b03f3fe22086c6c4be
:346c7f8a791cd1b7be07bfff6f849d658d506a17
:e9363a6b468d459c7e4cb0d9757079106b3a882c
:4c23c393ed8b8565bd8e90d5b57a868ba0ccfab3
:657bed8df5cfda1d7eb24a25a043cfbdf228b933
:8d3308331c237b31f5e500d73e249edd53676aec
:f13e5fa699a7129ee3080ddeb31558ef7578cddb
:cdf4a22ae78a77d387cfbba3d667dba692429114
:d44eca373263d7abb445ddd5bad3dafbccd8cfed
:25db3aa1d5ba511ce1f2615c8b5995285af564b1
:327661a5f401b69a985e63c374da3357fb7bd155
:c7112059d672dfb1b17ed4be88fa89f30b547841
:7f3c4b2fc7f49a8e50f936b1435bfcf785b29191
:c9666f5e43b3b03d782acadda76ae3074095c8a4
:0db1085b6f5f26681999bf8762e7374bb8179395
:019e42ad205179335b27f2a79a873fda88ed21a3
:de9d7cbf664acdddd5f97fc560de561108ec67e7
:2db83a4c3dc4ba607b77e73639ac847081193f8c
:3e8db068ebbfae69654767b42d9b0475c53121e7
:b5f2913527664f4a8cfba2ff78927eebea210d8a
:4937b91cce65df3c4281c4b6b8fc6af15cea1694
:c25f4a34816c8918d5cce3f8b7a851948c6db023
:7e9d9994489152b4b37aa5bee934e9f2c8309a54
:1e04d01bbcc1c7d65d09f316f9328c7a99e388a7
:030b5d1726ecd29df95bdeeff0b2d62043833fee
:77e07a84b8465cb07946ff3d6b8eea641b3e9677
:5b5557b5b0427930b220a00961393e29809c42f0
:9ff154685b04583c95ef0f393e8be81e3c51ca7b
:abcfe6b280fcee6f1f127d40d8f54e6b4d896f5a
:7468ba793c595989f2e6a123e4a2af42f38ef0fe
:4a18cece7105bb73a4f2c3ad540803eb237e7543
:acccee84fefeebf82dea74d95ce0369573298fe3
:d6d4a2dd3d8d76166fe7023688365cfceccfd8dc
:b23f7b89bf3bebd443fa7cfdfa98b6e00c0f8d33

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/chrys/2

core_backtrace:
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x72e20 g_utf8_offset_to_pointer libglib-2.0.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x3300de - libgtk-3.so.0 -
:2db83a4c3dc4ba607b77e73639ac847081193f8c 0x11754 atk_text_get_character_extents libatk-1.0.so.0 -
:2db83a4c3dc4ba607b77e73639ac847081193f8c 0x117bf - libatk-1.0.so.0 -
:2db83a4c3dc4ba607b77e73639ac847081193f8c 0x12038 atk_text_get_range_extents libatk-1.0.so.0 -
:139f37cd4167d55d0b2b21053d3733e8dcdb8392 0x1bbd0 - libatk-bridge.so -
:139f37cd4167d55d0b2b21053d3733e8dcdb8392 0xfd2b - libatk-bridge.so -
:5b5557b5b0427930b220a00961393e29809c42f0 0x1effe - libdbus-1.so.3 -
:5b5557b5b0427930b220a00961393e29809c42f0 0xed55 dbus_connection_dispatch libdbus-1.so.3 -
:bb21322626c08eadcaed3b7d58d261951193b7d7 0x884e - libatspi.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x46feb g_main_context_dispatch libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x47390 - libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x47472 g_main_context_iteration libglib-2.0.so.0 -
:d0b2ee750bf29544a82c25b03f3fe22086c6c4be 0x98c04 g_application_run libgio-2.0.so.0 -
:b5f2913527664f4a8cfba2ff78927eebea210d8a 0x970e - [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=chrys.home
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/chrys/keyring-2BXd4p
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:
:MAIL=/var/spool/mail/chrys
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/chrys/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=899
:LANG=de_DE.utf8
:GDM_LANG=de_DE.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:
:SHLVL=1
:
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-bM3fReIjzs,guid=1f76a69c92e8d9c79141798300000230
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/chrys
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-chrys-AOPha6/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/903,unix/unix:/tmp/.ICE-unix/903
:GPG_AGENT_INFO=/run/user/chrys/keyring-2BXd4p/gpg:0:1
:SSH_AUTH_SOCK=/run/user/chrys/keyring-2BXd4p/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/palimpsest.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=2361
:DESKTOP_STARTUP_ID=gnome-shell-1125-chrys.home-palimpsest-5_TIME3353863

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 32159                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       32159                32159                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/chrys/.xsession-errors
:pos:	81189
:flags:	02002
:2:/home/chrys/.xsession-errors
:pos:	81189
:flags:	02002
:3:socket:[335351]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[334101]
:pos:	0
:flags:	02004002
:6:socket:[335354]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:socket:[335355]
:pos:	0
:flags:	02004002
:9:socket:[335356]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:socket:[333694]
:pos:	0
:flags:	02004002
:13:socket:[335528]
:pos:	0
:flags:	02004002
:14:anon_inode:[eventfd]
:pos:	0
:flags:	02004002

smart_data:
:
:
:
:

var_log_messages:
:Jun  5 20:01:53 chrys kernel: [ 3379.958947] palimpsest[2361]: segfault at 0 ip 4a82ae20 sp bfcc0bf0 error 4 in libglib-2.0.so.0.3200.3[4a7b8000+126000]
:Jun  5 20:01:53 chrys abrt[2366]: Saved core dump of pid 2361 (/usr/bin/palimpsest) to /var/spool/abrt/ccpp-2012-06-05-20:01:53-2361 (12972032 bytes)
Comment 1 chrys87 2012-06-05 14:03:46 EDT
Created attachment 589596 [details]
File: backtrace
Comment 2 chrys87 2012-06-05 14:03:48 EDT
Created attachment 589597 [details]
File: maps
Comment 3 chrys87 2012-06-05 14:03:50 EDT
Created attachment 589598 [details]
File: dso_list
Comment 4 Fedora Admin XMLRPC Client 2013-02-04 08:22:24 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora End Of Life 2013-07-03 15:44:57 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 14:36:53 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.